<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.jeelowcode</groupId>
        <artifactId>jeelowcode-service</artifactId>
        <version>${jeelowcode.version}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>jeelowcode-service-bpm-biz</artifactId>

    <name>${project.artifactId}</name>
    <description>
        bpm 包下，业务流程管理（Business Process Management），我们放工作流的功能，基于 Flowable 6 版本实现。
        例如说：流程定义、表单配置、审核中心（我的申请、我的待办、我的已办）等等
    </description>
    <dependencies>
        <dependency>
            <groupId>com.jeelowcode</groupId>
            <artifactId>jeelowcode-service-bpm-api</artifactId>
            <version>${jeelowcode.version}</version>
        </dependency>
        <dependency>
            <groupId>com.jeelowcode</groupId>
            <artifactId>jeelowcode-service-system-api</artifactId>
            <version>${jeelowcode.version}</version>
        </dependency>

        <!-- 业务组件 -->
        <dependency>
            <groupId>com.jeelowcode</groupId>
            <artifactId>tool-spring-boot-starter-biz-operatelog</artifactId>
        </dependency>
        <dependency>
            <groupId>com.jeelowcode</groupId>
            <artifactId>tool-spring-boot-starter-biz-data-permission</artifactId>
        </dependency>
        <dependency>
            <groupId>com.jeelowcode</groupId>
            <artifactId>tool-spring-boot-starter-biz-tenant</artifactId>
        </dependency>

        <!-- Web 相关 -->
        <dependency>
            <groupId>com.jeelowcode</groupId>
            <artifactId>tool-spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>com.jeelowcode</groupId>
            <artifactId>tool-spring-boot-starter-security</artifactId>
        </dependency>

        <!-- DB 相关 -->
        <dependency>
            <groupId>com.jeelowcode</groupId>
            <artifactId>tool-spring-boot-starter-mybatis</artifactId>
        </dependency>

        <!-- Test 测试相关 -->
        <dependency>
            <groupId>com.jeelowcode</groupId>
            <artifactId>tool-spring-boot-starter-test</artifactId>
        </dependency>
        <!-- 工作流相关 -->
        <dependency>
            <groupId>com.jeelowcode</groupId>
            <artifactId>tool-spring-boot-starter-flowable</artifactId>
        </dependency>
        <!--个人业务-->
        <dependency>
            <groupId>com.jeelowcode</groupId>
            <artifactId>jeelowcode-module</artifactId>
            <version>2.0.1</version>
            <type>pom</type>
            <scope>import</scope>
        </dependency>


        <dependency>
            <groupId>com.jeelowcode</groupId>
            <artifactId>jeelowcode-core</artifactId>
        </dependency>
    </dependencies>
</project>
